Show / Hide Table of Contents

# Class RestEntity<T>

##### Inheritance

System.Object
RestEntity<T>
RestApplication
RestAuditLogEntry
RestChannel
RestGuild
RestGuildIntegration
RestInvite
RestMessage
RestRole
RestUser
RestUserGuild
RestVoiceRegion
RestWebhook

##### Implements

IEntity<T>

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public abstract class RestEntity<T> : IEntity<T> where T : IEquatable<T>

##### Type Parameters

Name | Description
--- | ---
T |

### Properties

| Improve this Doc View Source

#### Id

##### Declaration

    public T Id { get; }

##### Property Value

Type | Description
--- | ---
T |

### Implements

IEntity<TId>